## org.apache.poi.xwpf.usermodel
Enum LineSpacingRule

    java.lang.Object
      java.lang.Enum<LineSpacingRule>
          org.apache.poi.xwpf.usermodel.LineSpacingRule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineSpacingRule>

    public enum LineSpacingRule

extends java.lang.Enum<LineSpacingRule>

Specifies the logic which shall be used to calculate the line spacing of the parent object when it is displayed in the document.

Author:
  Gisella Bronzetti

Enum Constant Summary
`AT_LEAST` Specifies that the height of the line shall be at least the value specified, but may be expanded to fit its content as needed.
`AUTO` Specifies that the line spacing of the parent object shall be automatically determined by the size of its contents, with no predetermined minimum or maximum size.
`EXACT` Specifies that the height of the line shall be exactly the value specified, regardless of the size of the contents If the contents are too large for the specified height, then they shall be clipped as necessary.

Method Summary
`int` `getValue()`
`static LineSpacingRule` `valueOf(int type)`
`static LineSpacingRule` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineSpacingRule[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final LineSpacingRule AUTO

  Specifies that the line spacing of the parent object shall be automatically determined by the size of its contents, with no predetermined minimum or maximum size.

### EXACT

    public static final LineSpacingRule EXACT

  Specifies that the height of the line shall be exactly the value specified, regardless of the size of the contents If the contents are too large for the specified height, then they shall be clipped as necessary.

### AT_LEAST

    public static final LineSpacingRule AT_LEAST

  Specifies that the height of the line shall be at least the value specified, but may be expanded to fit its content as needed.

Method Detail

### values

    public static LineSpacingRule[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineSpacingRule c : LineSpacingRule.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineSpacingRule valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### valueOf

    public static LineSpacingRule valueOf(int type)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.